import './App.css';
import Thread from './Threads/Thread';
import Topic from './Topic';
import Navbar from './Navbar';
import Profile from './Profile/Profile';
import ListThreads from './Threads/ListThreads';
import CreateThread from './Threads/CreateThread';
import LoginForm from './LoginForm'
import TopicList from './TopicList';
import RegisterForm from './RegisterForm'
import CreateTopicForm from './CreateTopicForm'
import Search from './Search'
import EditThread from './Threads/EditThread';
import {
  BrowserRouter as Router,
  Route,
} from "react-router-dom"



function App() {
  return (
    <Router>
      <Navbar />
      <Route exact path='/' component={() => <ListThreads  isRecent={true} />} />
      <Route exact path='/top' component={() => <ListThreads  isRecent={false} />} />
      <Route exact path='/topic' component={TopicList} />
      <Route exact path='/profile/:user' component={Profile} />
      <Route exact path='/login' component={LoginForm} />
      <Route exact path='/register' component={RegisterForm} />
      <Route exact path='/create/topic' component={CreateTopicForm} />
      <Route exact path='/create/thread' component={CreateThread} />
      <Route exact path='/search/:input' component={Search} />
      <Route exact path='/topic/:topic/:thread' component={Thread} />
      <Route exact path='/topic/:topic' component={Topic} />
      <Route exact path='/threads' component={ListThreads} />
      <Route exact path='/thread/edit/:thread' component={EditThread} />
    </Router>
  );
}

export default App;
