import axios from "axios";
import React from "react";
import { useInput } from './hooks/input-hook';
import './Threads/FormCreateThread.css';
import authHeader from './services/auth-header'
import { API_URL } from './services/api_link'

export default function CreateTopicForm(props){
    const { value: name, bind: bindName, reset: resetName } = useInput('')

    const handleSubmit = async (event) => {
        event.preventDefault();

        try {
            await axios.post(`${API_URL}/topics`, {
                topic : {
                    name: name
                }
            }, 
            {headers: authHeader()})
            props.history.push(`/`)
        }
        catch(error){}
        resetName(); 
    }

    return (
        <form onSubmit={handleSubmit}>
            <div className="form_container">
                <label for="title">Name</label>
                <input type='text' name="title" placeholder="Your topic name" required="true" {...bindName}/>
                <input type="submit" value="Submit"/>
            </div>
        </form>
    )
}
