import React, { useState, useEffect } from 'react'
import axios from 'axios'
import ThreadList from './Threads/PreviewThread'
import { Link } from 'react-router-dom'
import { API_URL } from './services/api_link'

export default function Search(props) {
    const [threads, setThreads] = useState([])
    const searchParam = props.match.params.input

    useEffect(() => {
        const fetch = async () => {
            const responseThreads = await axios.get(`${API_URL}/threads`)
            const filteredThreads = responseThreads.data.data.filter(thread => thread.title.includes(searchParam))
            setThreads(filteredThreads)
        }
        fetch()
    }, [searchParam])

    return (
        <div>
            <h1>Search results for '{searchParam}'</h1>
            <ul>
                {threads.map((value) => (
                    <Link to={`/topic/${value.topic_name}/${value.id}` } style={{ textDecoration: 'none' }}>
                        <ThreadList
                            header={value.title}
                            user={value.username}
                            points={value.points}
                            time={value.updated_at}
                            topic={value.topic_name}>
                        </ThreadList>
                    </Link>
            ))}
            </ul>
        </div>
    )
}