import React from "react";
import './ListThreads.css';
import Button from '../Button';
import TopThreads from './TopThreads'
import RecentThreads from './RecentThreads'
import { loggedIn } from '../services/loggedInService'
import { Link } from "react-router-dom"

function ListThreads(props) {
    return (
        <div>
            <div className="header">
                <h1><b>Threads</b></h1>
            </div>
            
                {props.isRecent ? 
                    <div className="list_threads_section">
                        <div className="sub_header_list_threads">
                            <div className="tab">
                                <Link to="/" style={{ textDecoration: 'none' }}>
                                    <h3 className="active">Recent</h3>
                                </Link>
                                <Link to="/top" style={{ textDecoration: 'none' }}>
                                    <h3>Top</h3>
                                </Link>
                            </div>
                            {loggedIn && (
                            <Button text="Create Thread" color="orange" url="create/thread" />
                            )}
                        </div>
                        <RecentThreads /> 
                    </div> :
                    <div className="list_threads_section">
                        <div className="sub_header_list_threads">
                            <div className="tab">
                            <Link to="/" style={{ textDecoration: 'none' }}>
                                    <h3>Recent</h3>
                                </Link>
                                <Link to="/top" style={{ textDecoration: 'none' }}>
                                    <h3 className="active">Top</h3>
                                </Link>
                            </div>
                            {loggedIn && (
                            <Button text="Create Thread" color="orange" url="create/thread" />
                            )}
                        </div>
                        <TopThreads /> 
                    </div>
                }

        </div>
    )
}

export default ListThreads;