import React, { useEffect, useState } from "react";
import axios from 'axios'
import ThreadList from './PreviewThread'
import { API_URL } from '../services/api_link'
import { Link } from "react-router-dom"
import './RecentThreads.css';

export default function Topic(props){
    const [thread, setThread] = useState([])

    useEffect(() => {
        const fetch = async () => {
            const responseThreads = await axios.get(`${API_URL}/threads/`)
            const sortedThreads = responseThreads.data.data.sort((a, b) => {
                if (a.id < b.id) return 1
                if (a.id > b.id) return -1
                return 0
            })
            setThread(sortedThreads)          
        }
        fetch()   
    }, [])

    return (
        <div clasName="recentThreads">
            {thread.map((value) => (
                <Link to={`/topic/${value.topic_name}/${value.id}` } style={{ textDecoration: 'none' }}>
                    <ThreadList
                        header={value.title}
                        user={value.username}
                        points={value.points}
                        time={value.inserted_at}
                        topic={value.topic_name}
                        user_id={value.user_id}>
                    </ThreadList>
                </Link>
            ))}
        </div>
    )
}