import React, { useEffect, useState } from "react"
import axios from 'axios'
import { Link } from 'react-router-dom'
import ThreadList from './PreviewThread'
import { API_URL } from '../services/api_link'

export default function Home(){
    const [thread, setThread] = useState([])

    useEffect(() => {
        const fetch = async () => {
            const responseThreads = await axios.get(`${API_URL}/threads/`)
            
            const threads = responseThreads.data.data
            const sortedThreads = threads.sort((a, b) => {
                if (a.points < b.points) return 1
                if (a.points > b.points) return -1
                return 0
            })
            setThread(sortedThreads)
            console.log(threads)
            
        }
        fetch()   
    }, [])

    return (
        <div>
            {thread.map((value) => (
                <Link to={`/topic/${value.topic_name}/${value.id}` } style={{ textDecoration: 'none' }}>
                    <ThreadList
                        header={value.title}
                        user={value.username}
                        points={value.points}
                        time={value.inserted_at}
                        topic={value.topic_name}
                        user_id={value.user_id}>
                    </ThreadList>
                </Link>
            ))}
        </div>
    )
}