import React, { useEffect, useState } from "react";
import axios from 'axios'
import { Link } from "react-router-dom"
import { API_URL } from './services/api_link'
import './TopicList.css'

export default function TopicList(props){
    const [topics, setTopics] = useState([])

    useEffect(() => {
        const fetch = async () => {
            const response = await axios.get(`${API_URL}/topics`)
            setTopics(response.data.data)
            console.log(response)
        }
        fetch()   
    }, [])

    return (
        <div className="topicContainer">
            <h1>Topic List</h1>
            <div className="topics">
                {topics.map((value) => (
                <Link to={`topic/${value.name}`} style={{ textDecoration: 'none' }}>
                <div className="topicCard">
                    <div id="threadCardHeader">
                        <h2 id="judul">{value.name}</h2>
                    </div>
                    <div id="threadCardContent">
                        {/* <p id="">Total threads:</p> */}
                    </div>
                </div>
                </Link>
                ))}
            </div>
        </div>
    )
}