const monthNames = ["January", "February", "March", "April", "May", "June", "July", "August", "September","October", "November", "December"];

function tConvert (time) {
    try{
        // Check correct time format and split into components
        time = time.toString ().match (/^([01]\d|2[0-3])(:)([0-5]\d)(:[0-5]\d)?$/) || [time];
    
        if (time.length > 1) { // If time format correct
            time = time.slice (1, 4);  // Remove full string match value
            time[5] = +time[0] < 12 ? ' AM' : ' PM'; // Set AM/PM
            time[0] = +time[0] % 12 || 12; // Adjust hours
        }
        return time.join (''); // return adjusted time or original string
    } catch(error){}
    
}

function translate(time) {
    try {  
        const timeSplit = time.split('T')
        const date = new Date(timeSplit[0])
        
        const fullDate = `${date.getDate()} ${monthNames[date.getMonth()]} ${date.getFullYear()}`
    
        return `${fullDate}, ${tConvert(timeSplit[1])}`
    } catch(error){}
   
}

export {tConvert, translate}
